ABI_VERSION:=$(PKG_ABI_VERSION)
VARIANT:=regular
DEFAULT_VARIANT:=1
- CONFLICTS:=libwolfssl-cpu-crypto
+ CONFLICTS:=libwolfsslcpu-crypto
endef
define Package/libwolfssl/description
source "$(SOURCE)/Config.in"
endef
-define Package/libwolfssl-cpu-crypto
+define Package/libwolfsslcpu-crypto
$(call Package/libwolfssl/Default)
TITLE:=wolfSSL library with AES CPU instructions
PROVIDES:=libwolfssl libcyassl
DEPENDS:=libwolfssl
endef
-define Package/libwolfssl-cpu-crypto/description
+define Package/libwolfsslcpu-crypto/description
$(call Package/libwolfssl/description)
This variant uses AES CPU instructions (Intel AESNI or ARMv8 Crypto Extension)
endef
-define Package/libwolfssl-cpu-crypto/config
- if TARGET_armvirt && PACKAGE_libwolfssl-cpu-crypto = y
- comment "You are about to build libwolfssl-cpu-crypto into an armvirt_64 image."
+define Package/libwolfsslcpu-crypto/config
+ if TARGET_armvirt && PACKAGE_libwolfsslcpu-crypto = y
+ comment "You are about to build libwolfsslcpu-crypto into an armvirt_64 image."
comment "Ensure all of your installation targets support the Crypto Extension. "
comment "Look for the 'aes' feature in /proc/cpuinfo. This library does not do "
comment "run-time detection and will crash if the CPU does not support it. "
endif
- if TARGET_bcm27xx && PACKAGE_libwolfssl-cpu-crypto
- comment "Beware that libwolfssl-cpu-crypto will not run in a bcm27xx target. "
+ if TARGET_bcm27xx && PACKAGE_libwolfsslcpu-crypto
+ comment "Beware that libwolfsslcpu-crypto will not run in a bcm27xx target. "
endif
endef
CONFIGURE_ARGS += --enable-armasm
TARGET_CFLAGS:=$(TARGET_CFLAGS:-mcpu%=-mcpu%+crypto)
WOLFSSL_NOASM_REGEX:=^bcm27xx/.*
- Package/libwolfssl-cpu-crypto/preinst=\
+ Package/libwolfsslcpu-crypto/preinst=\
$(subst @@WOLFSSL_NOASM_REGEX@@,$(WOLFSSL_NOASM_REGEX),$(file <preinst.arm-ce))
else ifdef CONFIG_TARGET_x86_64
CONFIGURE_ARGS += --enable-intelasm
$(CP) $(PKG_INSTALL_DIR)/usr/lib/libwolfssl.so.* $(1)/usr/lib/
endef
-Package/libwolfssl-cpu-crypto/install=$(Package/libwolfssl/install)
+Package/libwolfsslcpu-crypto/install=$(Package/libwolfssl/install)
define Package/libwolfssl-benchmark/install
$(INSTALL_DIR) $(1)/usr/bin
endef
$(eval $(call BuildPackage,libwolfssl))
-$(eval $(call BuildPackage,libwolfssl-cpu-crypto))
+$(eval $(call BuildPackage,libwolfsslcpu-crypto))
$(eval $(call BuildPackage,libwolfssl-benchmark))
#!/bin/sh
exec >&2
-printf "[libwolfssl-cpu-crypto] Checking for Arm v8-A Cryptographic Extension support: "
+printf "[libwolfsslcpu-crypto] Checking for Arm v8-A Cryptographic Extension support: "
if [ -n "${IPKG_INSTROOT}" ]; then
printf "...[offline]... "
eval "$(grep '^DISTRIB_TARGET=' "${IPKG_INSTROOT}/etc/openwrt_release")"
echo "${DISTRIB_TARGET}" | grep '@@WOLFSSL_NOASM_REGEX@@' > /dev/null && {
echo "not supported"
echo "Error: Target ${DISTRIB_TARGET} does not support Arm Cryptographic Extension."
- echo "Install the regular libwolfssl package instead of libwolfssl-cpu-crypto."
+ echo "Install the regular libwolfssl package instead of libwolfsslcpu-crypto."
exit 1
}
else
grep -q '^Features.*\baes\b' /proc/cpuinfo || {
echo "not supported"
echo "Error: Arm v8-A Cryptographic Extension not supported."
- echo "Install the regular libwolfssl package instead of libwolfssl-cpu-crypto."
+ echo "Install the regular libwolfssl package instead of libwolfsslcpu-crypto."
echo "Contents of /proc/cpuinfo:"
cat /proc/cpuinfo
exit 1